flow_graph.h File Reference

The graph related classes and functions. More...

## Classes

class | tbb::flow::interface9::internal::successor_cache< T, M >
class | tbb::flow::interface9::internal::broadcast_cache< T, M >
class | tbb::flow::interface9::internal::round_robin_cache< T, M >
class | tbb::flow::interface9::internal::predecessor_cache< T, M >
class | tbb::flow::interface9::internal::reservable_predecessor_cache< T, M >
struct | tbb::flow::interface9::null_type
class | tbb::flow::interface9::continue_msg
| An empty class used for messages that mean "I'm done". More...
class | tbb::flow::interface9::sender< T >
| Pure virtual template class that defines a sender of messages of type T. More...
class | tbb::flow::interface9::receiver< T >
| Pure virtual template class that defines a receiver of messages of type T. More...
class | tbb::flow::interface9::limiter_node< T >
class | tbb::flow::interface9::run_and_put_task< R, B >
class | tbb::flow::interface9::internal::edge_container< C >
class | tbb::flow::interface9::internal::untyped_sender
class | tbb::flow::interface9::internal::untyped_receiver
class | tbb::flow::interface9::sender< T >
| Pure virtual template class that defines a sender of messages of type T. More...
class | tbb::flow::interface9::receiver< T >
| Pure virtual template class that defines a receiver of messages of type T. More...
class | tbb::flow::interface9::sender< T >
| Pure virtual template class that defines a sender of messages of type T. More...
class | tbb::flow::interface9::receiver< T >
| Pure virtual template class that defines a receiver of messages of type T. More...
class | tbb::flow::interface9::continue_receiver
| Base class for receivers of completion messages. More...

## Namespaces

| tbb
| The namespace tbb contains all components of the library.

## Constant Groups

| tbb
| The namespace tbb contains all components of the library.

## Enumerations

enum | concurrency { unlimited = 0, serial = 1 }
| An enumeration the provides the two most common concurrency levels: unlimited and serial.
enum | reset_flags { rf_reset_protocol = 0, rf_reset_bodies = 1<<0, rf_clear_edges = 1<<1 }

## Functions

static tbb::task * | tbb::flow::interface9::combine_tasks (tbb::task *left, tbb::task *right)
template<typename K , typename T >
K | tbb::flow::key_from_message (const T &t)

## Variables

static tbb::task *const | tbb::flow::internal::SUCCESSFULLY_ENQUEUED = (task *)-1

## Detailed Description

The graph related classes and functions.

There are some applications that best express dependencies as messages passed between nodes in a graph. These messages may contain data or simply act as signals that a predecessors has completed. The graph class and its associated node classes can be used to express such applications.

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.